import Vue from "vue";
import Router from "vue-router";

Vue.use(Router);

let routes = [
  {
    alias: "/",
    path: "/Home",
    name: "home",
    meta: { keepAlive: true },
    component: () => import("@/views/home")
  },
  {
    path: "/AnswerRecruit",
    name: "answerRecruit",
    component: () => import("@/views/home/answer/page-answer-recruit")
  }, // 答题作答页
  {
    path: "/AnswerRecruitResult",
    name: "answerRecruitResult",
    component: () => import("@/views/home/answer/page-answer-recruit-result")
  }, // 答题结果页
  {
    path: "/ExamDetail",
    name: "ExamDetail",
    component: () => import("@/views/home/exam/page-exam-item-detail")
  }, // 单个考试的详情页
  {
    path: "/Exam",
    name: "Exam",
    component: () => import("@/views/home/exam/page-exam-item-doing")
  }, // 单个考试的试卷页
  {
    path: "/ExamResult",
    name: "ExamResult",
    component: () => import("@/views/home/exam/page-exam-item-result")
  }, // 单个考试的试卷页
  {
    path: "/learn-content/:materialId",
    name: "learn-content",
    props: true,
    component: () => import("@/views/home/learn/page-learn-content")
  }, // 学习内容页
  {
    path: "/exam-history/:userId",
    name: "exam-history",
    props: true,
    component: () => import("@/views/home/person/exam-history")
  }, // 考试历史记录
  {
    path: "/collection/:userId",
    name: "collection",
    props: true,
    component: () => import("@/views/home/person/collection")
  }, // 收藏
  {
    path: "/rank/:userId",
    name: "rank",
    props: true,
    component: () => import("@/views/home/person/rank")
  }, // 排行榜
  {
    path: "/user-manual/:userId",
    name: "user-manual",
    props: true,
    component: () => import("@/views/home/person/user-manual")
  } // 使用手册
];

export default new Router({
  mode: "history",
  routes,
  scrollBehavior(to, from, savedPosition) {
    if (savedPosition) {
      return savedPosition;
    } else {
      if (from.meta.keepAlive) {
        const selector = document.getElementById("scrollbar") || {};
        from.meta.savedPosition = selector.scrollTop || 0;
      }
      return { x: 0, y: to.meta.savedPosition || 0 };
    }
  }
});
